#################################################
#
#  (C) 2010 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#  Modified by Mavridis Philippe for Komposé.
#
#################################################


# required stuff
find_package( TQt )
find_package( TDE )

tde_setup_architecture_flags( )

include(TestBigEndian)
test_big_endian(WORDS_BIGENDIAN)

tde_setup_largefiles( )


##### check for gcc visibility support

if( WITH_GCC_VISIBILITY )
  tde_setup_gcc_visibility( )
endif( WITH_GCC_VISIBILITY )

find_package( X11 )


##### check for XCOMPOSITE and XDAMAGE (needed for XCOMPOSITE)
if( WITH_XCOMPOSITE )
  pkg_search_module( XDAMAGE xdamage )
  if( NOT XDAMAGE_FOUND )
    tde_message_fatal( "xcomposite support was requested, but xdamage was not found on your system" )
  endif()

  pkg_search_module( XCOMPOSITE xcomposite )
  if( XCOMPOSITE_FOUND )
    set( COMPOSITE 1 )
  else()
    tde_message_fatal( "xcomposite support was requested, but xcomposite was not found on your system" )
  endif()
endif( WITH_XCOMPOSITE )


##### check for imlib2

pkg_search_module( IMLIB2 imlib2 )

if( NOT IMLIB2_FOUND )
     tde_message_fatal( "imlib2 is required but not found on your system" )
endif( NOT IMLIB2_FOUND )
